Subject: RE: Site Critique

From: "Benjamin Wade" <[email-masked]>
Date: Thu, 30 Dec 2004 22:43:05 -0800

David...I had a MUCH better experience when I registered our 2/12/05 event
yesterday.  Good work!  I think we're on-the-way thanks to you and Blake.
Happy New Year! Ben.

> -----Original Message-----
> From: David Harris [mailto:[email-masked]]
> Sent: Thursday, December 30, 2004 4:49 PM
> To: Arthur Jackson; [email-masked]; Lola Stephens; Bob
> Stephens; Art Jackson; Mary White
> Cc: [email-masked]
> Subject: Re: Site Critique
>
>
> Ben wrote:
>
> > I have been attempting to register our 2/12/05 event on our website and
> > would offer the following feedback:
>
> Thank you for registering the Humanist Community event.
>
> > 1.  On the registration page (and some others) the righthand brown boder
> > strip overlays some of the text letters.
>
> Ben, I wasn't in on the correspondence you may have had with Blake. What
> kind of computer are you using, and what browser?  We've seen problems
> with Macintosh's running Internet Explorer versions 5.0 thru 6.0.
> >
> > 2.  The Name of Event box does not allow letters to the end of
> the space.
>
> The Name of Event box accepts 64 characters of the name, possibly
> scrolling if one is using a type size that reaches the end of the box
> before one has entered all 64 characters.  The database stores up to 64
> characters, and I think the display of the events will show up to 64
> characters.  Is it possible that you are using such a small size of
> character for inputting the event name that the 64 characters don't
> reach the right end of the box? I don't know if the box changes its size
> in proportion to the character size you're using.  Or are you describing
> a problem that I don't yet understand?
> >
> > 3.  At the bottom of the page, relative to the question as to
> whether the
> > site can display your
> >     name, etc., the site did not collect the city, state, etc.
> information
> > on the individual.
>
> Yes, that is true.  That partly reflects some early discussion about how
> much to emphasize the creation of events, versus registering people who
> will just attend events.  My current thinking is that there might be a
> contact person who is not committed to the DarwinDay idea, such as a
> ticket seller from a small business.  And people CAN register themselves
> with the full information on the person registering page.
>
> But I think you've spotted a potential 'bug'. If someone is the contact
> person, and clicks YES to the be-a-supporter question, what
> city/state/country would we use?  We haven't collected that information
> for the PERSON who is the contact, only for the EVENT location.  I
> believe the appropriate change is to remove the YES/NO question about
> being a supporter from the bottom of the Event Registration page, and
> just INVITE them to register as a person using the registration page for
> persons.
> >
> > 4.  There is no button at the end of the page to allow the user
> to finalize
> > the registration of
> >     the event.
>
> Is it possible that you didn't scroll down on the page?  My browser
> shows a Register button, aand a Reset All Fields button, just above the
> Privacy Policy (which doesn't exist yet) link.
> >
> > 5.  How does the registrant view his entry for an event?
>
> Currently, he goes to the Home page and clicks on the "Events Registered
> for 2005" link.  In the current version, an event will be listed
> immediately after it is registered.
>
> In the longer run, I'd like to have us take a quick look at the entry
> and approve it before it goes up.  That would avoid
> bogus/obscene/malicious/duplicated "events" from malevolent or
> incompetent persons.
>
> > Hope this information proves useful.  Let me know if you have questions,
> > etc.
> >
> > Best wishes to all for a Happy New Year!  Ben.
>
> Thanks for the careful review of these issues, Ben.  It's wonderful what
> a fresh set of eyes and a good mind can notice.  We who are creating it
> already "know" what is there, and we know what it is supposed to do.  So
> we miss seeing what's right in front of our noses.
>
> By the way, I am aware that the listing of Events Registered for 2005
> has no states listed, and the countries are represented as numeric codes
> (the wrong codes, too).  That's on my todo list.
>
>    - David Harris
>